package com.cool.store.dao;

import com.cool.store.entity.NewStoreOpeningDO;
import com.cool.store.mapper.NewStoreOpeningMapper;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author byd
 * @date 2024-04-24 14:33
 */
@Repository
public class NewStoreOpeningDAO {

    @Resource
    private NewStoreOpeningMapper newStoreOpeningMapper;

    public List<NewStoreOpeningDO> storeTodoList(Long shopId) {
        return newStoreOpeningMapper.select(NewStoreOpeningDO.builder().shopId(shopId).build());
    }

    public int insertSelective(NewStoreOpeningDO newStoreOpeningDO) {
        return newStoreOpeningMapper.insertSelective(newStoreOpeningDO);
    }

    public int deleteByPrimaryKey(Long id) {
        return newStoreOpeningMapper.deleteByPrimaryKey(id);
    }

}
